AutoLayoutERObject
Keywords: uk.ac.ic.doc.automed.editor.autolayout.AutoLayoutERObject class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor.autolayout
Class AutoLayoutERObject

    java.lang.Object
      uk.ac.ic.doc.automed.editor.autolayout.AutoLayoutPositionable
          uk.ac.ic.doc.automed.editor.autolayout.AutoLayoutSchemaObject
              uk.ac.ic.doc.automed.editor.autolayout.AutoLayoutERObject

    public class AutoLayoutERObject

extends AutoLayoutSchemaObject

Field Summary
`int` | `iteration`

Fields inherited from class uk.ac.ic.doc.automed.editor.autolayout.AutoLayoutSchemaObject
`boundsCorrection, myGraph`

Fields inherited from class uk.ac.ic.doc.automed.editor.autolayout.AutoLayoutPositionable
`autoLayoutPositionablesTable, currentSchema, myPositionableObj, newObjectsClass, pos`

Constructor Summary
`AutoLayoutERObject(Positionable positionableObject)`

Method Summary
`protected boolean` | `areAllToLayoutObjLocked()`
`void` | `doLayout()` Perform layout process on whole graph starting from this object.
`static UserActionResult` | `doLayoutER(java.lang.Object[] o)`
`static void` | `initAutoLayoutObjsTable(Schema schema)`
`void` | `putLinkNodalObjects(int cardinalPoint)`
`static void` | `unlockAllObjects()`

Methods inherited from class uk.ac.ic.doc.automed.editor.autolayout.AutoLayoutSchemaObject
`getAbsolutePosition, getAllObjInSchema, getConstructClass, getDependentAutoLayoutPositionables, getDependentAutoLayoutPositionables, getFutureBounds, getFutureSchemaBounds, getObjectBetweenMeAnd, getReferencedAutoLayoutPositionables, getSchemaObjectsToLayout, getSchemaObjectsToLayout, hasChild, initAutoLayoutPositionablesTable, initializeMyGraph, isDependent, isOnCurrentSchema, setAbsolutePosition, setFinalPosition`

Methods inherited from class uk.ac.ic.doc.automed.editor.autolayout.AutoLayoutPositionable
`findAutoLayoutPositionableFor, getDrawable, getLabel, getPosition, isHide, round, setPosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iteration

    public int iteration

Constructor Detail

### AutoLayoutERObject

    public AutoLayoutERObject(Positionable positionableObject)

Method Detail

### initAutoLayoutObjsTable

    public static void initAutoLayoutObjsTable(Schema schema)

### doLayout

    public void doLayout()

  Description copied from class: `AutoLayoutPositionable`
  Perform layout process on whole graph starting from this object.

  Overrides:
    `doLayout` in class `AutoLayoutPositionable`

### putLinkNodalObjects

    public void putLinkNodalObjects(int cardinalPoint)

### areAllToLayoutObjLocked

    protected final boolean areAllToLayoutObjLocked()

### unlockAllObjects

    public static void unlockAllObjects()

### doLayoutER

    public static UserActionResult doLayoutER(java.lang.Object[] o)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD